[tool.poetry]
name = "spotiplayer-pi"
version = "0.1.0"
description = ""
authors = ["Alessandro <alessandro.preiti@protonmail.com>"]
readme = "README.md"

[tool.poetry.dependencies]
python = "^3.11"
requests = "^2.32.3"
spidev = "^3.6"
numpy = "^2.2.1"
pillow = "^11.1.0"
pyyaml = "^6.0.2"


[tool.poetry.group.dev.dependencies]
pre-commit = "^4.0.1"
ruff = "^0.9.0"

[build-system]
requires = ["poetry-core"]
build-backend = "poetry.core.masonry.api"
